Affilibee
Toggle sidebar

Get a tier

API reference for retrieving a single tier by its slug for the authenticated merchant.

Endpoint

GET
/api/v2/tiers/{slug}

Authorization

Learn more
Authorization
string
header
required

The Bearer token generated in the Affilibee dashboard.

Body

application/json

slug
string
required

The unique slug of the tier.

Example requests

curl -X GET "https://affilibee.com/api/v2/tiers/standard" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Accept: application/json"
const token = "YOUR_ACCESS_TOKEN";
const url = "https://affilibee.com/api/v2/tiers/standard";

const response = await fetch(url, {
  method: "GET",
  headers: {
    "Authorization": `Bearer ${token}`,
    "Accept": "application/json"
  }
});

const data = await response.json();
console.log(data);
import requests

token = "YOUR_ACCESS_TOKEN"
url = "https://affilibee.com/api/v2/tiers/standard"

response = requests.get(
    url,
    headers={
        "Authorization": f"Bearer {token}",
        "Accept": "application/json",
    },
)

print(response.json())
<?php

require 'vendor/autoload.php';

use GuzzleHttp\Client;

$token = 'YOUR_ACCESS_TOKEN';

$client = new Client([
    'base_uri' => 'https://affilibee.com/api/v2',
    'headers' => [
        'Authorization' => "Bearer $token",
        'Accept' => 'application/json',
    ],
]);

$response = $client->get('tiers/standard');

echo $response->getBody();
using System;
using System.Net.Http;
using System.Threading.Tasks;

class Program
{
    static async Task Main(string[] args)
    {
        using var client = new HttpClient();
        var url = "https://affilibee.com/api/v2/tiers/standard";
        var token = "YOUR_ACCESS_TOKEN";

        client.DefaultRequestHeaders.Add("Authorization", $"Bearer {token}");
        client.DefaultRequestHeaders.Add("Accept", "application/json");

        var response = await client.GetAsync(url);
        var content = await response.Content.ReadAsStringAsync();

        Console.WriteLine(content);
    }
}

Responses

application/json

200
Success

Returned when the tier is successfully retrieved.

401
Unauthorized

Returned when the request does not include a valid Bearer token.

404
Not Found

Returned when the tier does not exist or does not belong to the merchant.

Response examples

{
    "success": true,
    "data": {
        "tier": {
            "name": "Standard",
            "slug": "standard",
            "description": "The default tier for new affiliates.",
            "created_at": "2026-03-20T10:00:00Z",
            "updated_at": "2026-03-20T10:00:00Z"
        }
    },
    "errors": null,
    "meta": {
        "trace_id": "20260321:api:abc12"
    }
}
{
    "success": false,
    "data": null,
    "errors": {
        "message": [
            "Unauthenticated."
        ]
    },
    "meta": {
        "trace_id": "20260321:api:abc12"
    }
}
{
    "success": false,
    "data": null,
    "errors": {
        "message": [
            "Not Found"
        ]
    },
    "meta": {
        "trace_id": "20260321:api:abc12"
    }
}

Notes

  • Only tiers associated with your merchant account can be retrieved.

  • If the tier does not exist or does not belong to your merchant account, a 404 error will be returned.

Got questions? We're here for you.

We help teams run affiliate programs through API-first integrations that fit the platform they already use.

© 2025 Affilibee Handelsbolag (969802-2481)

Integrations

API Integration
How can we assist you today?

Fill in the form below and we'll get back to you as soon as possible.

Name
Email
Message